Name:           ninja-build
Summary:        Small build system with focus on speed
Version:        1.8.2
Release:        1%{?dist}
License:        ASL 2.0
URL:            https://ninja-build.org
Vendor:         VMware, Inc.
Distribution:   Photon
Source0:        https://github.com/ninja-build/ninja/archive/%{name}-%{version}.tar.gz
%define sha1    ninja-build=17219deb34dd816363e37470f77ff7231509143a
Source1:        macros.ninja
BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  gtest-devel

%description
Ninja is a small build system with a focus on speed. 
It differs from other build systems in two major respects: 
it is designed to have its input files generated by a higher-level build system, 
and it is designed to run builds as fast as possible.

%prep
%setup -n ninja-%{version}

%build
python3 configure.py --bootstrap --verbose
./ninja -v all

%install
install -Dpm0755 ninja -t %{buildroot}%{_bindir}/
install -Dpm0644 misc/bash-completion %{buildroot}%{_datadir}/bash-completion/completions/ninja
ln -s ninja %{buildroot}%{_bindir}/ninja-build
install -Dpm0644 %{SOURCE1} %{buildroot}%{_libdir}/rpm/macros.d/macros.ninja

%check
./ninja_test --gtest_filter=-SubprocessTest.SetWithLots

%files
%license COPYING
%doc HACKING.md README
%{_bindir}/ninja
%{_bindir}/ninja-build
%{_datadir}/bash-completion/completions/ninja
%{_libdir}/rpm/macros.d/macros.ninja

%changelog
*   Wed Dec 27 2017 Anish Swaminathan <anishs@vmware.com> 1.8.2-1
-   Initial packaging
