# Photon OS Documentation

The Photon OS Documentation provides information about how to install, configure, and use VMware Photon OS&trade;.

 ![PhotonOS Logo](images/photonos-logo-lg.png)

**Product version: 3.0**

This documentation applies to all 3.0.x releases.

## Intended Audiences

This information is intended for Photon OS administrators and developers:

|**Description of Task**|**Relevant Documentation**|
|---|---|
|Understand Photon OS.|[Overview of Photon OS](README.md)|
|Download and Install Photon OS.|[Installation Guide](photon_installation/README.md)|
|Fundamentals of administering Photon OS. Basics of managing packages, controlling services with systemd, setting up networking, and initializing Photon OS. |[Administration Guide](photon_admin/README.md)|
|Use Photon OS.|[User Guide](photon_user/README.md)|
|Use Photon OS command-line utilities.|[Command-Line Interface Reference](photon_cli/README.md)|
|Solutions for common problems that you might encounter while using Photon OS.|[Troubleshooting Guide](photon_troubleshoot/README.md)|

----------

Copyright &copy; 2016-2019 VMware, Inc. All rights reserved. [Copyright and trademark information](http://pubs.vmware.com/copyright-trademark.html). Any feedback you provide to VMware is subject to the terms at [www.vmware.com/community_terms.html](https://www.vmware.com/community_terms.html).

**VMware, Inc.**<br>
3401 Hillview Ave.<br>
Palo Alto, CA 94304

[www.vmware.com](https://www.vmware.com)
