# Summary

## Photon OS 3.0

----

- [Introduction](README.md)
    - [Quick Start Links](photon_quickstart.md)
- [Overview](Overview.md)
    - [Introduction to Photon OS](Introduction.md) 
    - [Versions](PhotonOS-versions.md)
    - [Features](features.md)
    - [What's New in Photon OS 3.0](What-is-New-in-Photon-OS-3.0.md)
- [Installation Guide](photon_installation/README.md)
    - [Downloading Photon OS](photon_installation/Downloading-Photon-OS.md)
    - [Upgrading to Photon OS 3.0](photon_installation/Upgrading_to_photon_os_3.0.md)
    - [Build an ISO from the source code for Photon OS](photon_installation/build-photon.md)
        - [Folder Layout](photon_installation/folder_layout.md)
        * [Build Prerequisites](photon_installation/build_prerequisites.md)
        * [Building the ISO](photon_installation/build_the_iso.md)
        * [Use the Cached Toolchain and RPMS](photon_installation/Use_the_Cached_Toolchain_and_RPMS.md)
        * [Use Cached Sources](photon_installation/use_cached_sources.md)
        * [View Build Logs](photon_installation/view_build_logs.md)
    - [Building Package or Kernel Modules Using a Script](photon_installation/build-package-kernel-using-script.md)
    - [Running Photon OS on vSphere](photon_installation/Running-Photon-OS-on-vSphere.md)
        - [Prerequisites for Running Photon OS on vSphere](photon_installation/photon_os_vsphere_prerequisites.md)
        - [Importing the OVA for Photon OS 3.0](photon_installation/importing_ova_for_photon_os_3.0.md)
        - [Installing the ISO Image for Photon OS 3.0](photon_installation/installing-the-iso-image-for-photon-os-30.md)
    - [Running Photon OS on Fusion](photon_installation/Running-Project-Photon-on-Fusion.md)
        - [Prerequisites for Running Photon OS on Fusion](photon_installation/photon_os_fusion_prerequisites.md)
        - [Importing the OVA for Photon OS 3.0](photon_installation/importing-ova-for-photon-os-3.0-fusion.md)
        - [Installing the ISO Image for Photon OS 3.0](photon_installation/installing-the-iso-image-for-photon-os-30-fusion.md)
    - [Running Photon OS on Workstation](photon_installation/Running-Photon-OS-on-Workstation.md)
        - [Prerequisites for Running Photon OS on Workstation](photon_installation/photon_os_workstation_prerequisites.md)
        - [Importing the OVA for Photon OS 3.0](photon_installation/importing_ova_for_photon_os_3.0-workstation.md)
        - [Installing the ISO Image for Photon OS 2.0](photon_installation/installing-the-iso-image-for-photon-os-30-workstation.md)
    - [Running Photon OS on AWS EC2](photon_installation/Running-Photon-OS-on-Amazon-Elastic-Cloud-Compute.md)
        - [Prerequisites for Running Photon OS on AWS EC2](photon_installation/photon_os_ecc_prerequisites.md)
        - [Set Up Photon OS on EC2](photon_installation/set-up-PhotonOS-on-ec2.md)
        - [Deploy a Containerized Application in Photon OS using SSH](photon_installation/deploying-a-containerized-application-in-photon-os-ssh.md)
        - [Launch the Web Server with Cloud-Init](photon_installation/launch-web-server-with-cloud-init.md)
        - [Terminate the AMI Instance](photon_installation/terminate-the-ami-instance.md)
    - [Running Photon OS on Microsoft Azure](photon_installation/Running-Photon-OS-on-Microsoft-Azure.md)
        - [Prerequisites for Running Photon OS on Azure](photon_installation/photon-os-azure-prerequisites.md)
        - [Set Up Azure Storage and Uploading the VHD](photon_installation/setting-up-azure-storage-and-uploading-the-vhd.md)
        - [Remove Photon OS From Azure](photon_installation/remove-photon-os-from-azure.md)
    - [Running Photon OS on Google Compute Engine](photon_installation/Running-Photon-OS-on-Google-Compute-Engine.md)
        - [Prerequisites for Running Photon OS on GCE](photon_installation/photon-os-gce-prerequisites.md)
        - [Installing Photon OS on Google Compute Engine](photon_installation/installing-photon-os-on-google-compute-engine.md)
    - [Running Photon OS on Raspberry Pi 3](photon_installation/Running-Photon-OS-on-Raspberry-Pi-3.md)
        - [Prerequisites for Running Photon OS on Raspberry Pi 3](photon_installation/photon-os-rpi3-prerequisites.md)
        - [Installing Photon OS on Raspberry Pi 3](photon_installation/installing-the-iso-image-for-photon-os-30-rpi3.md) 
    - [Deploying a Containerized Application in Photon OS](photon_installation/deploying-a-containerized-application-in-photon-os.md)
    - [Installing Photon OS on Dell Gateways](photon_installation/Installing-Photon-OS-on-Dell-Gateways.md)
        - [Installing Photon OS on Dell Edge Gateway 500X](photon_installation/Installing-Photon-OS-on-Dell-500X.md)
        - [Installing Photon OS on Dell Edge Gateway 300X](photon_installation/Installing-Photon-OS-on-Dell-300X.md)
    - [Installing and Using Lightwave on Photon OS](photon_installation/Installing-and-Using-Lightwave-on-Photon-OS.md)
        - [Installing the Lightwave Server and Configuring It as a Domain Controller on a Photon Image](photon_installation/Installing-Lightwave-Server-and-Setting-Up-a-Domain.md) 
        - [Installing the Lightwave Client on a Photon Image and Joining the Client to a Domain](photon_installation/Installing-Lightwave-Client-and-Joining-a-Domain.md)
        - [Installing the Photon Management Daemon on a Lightwave Client](photon_installation/Installing-the-Photon-Management-Daemon-on-a-Lightwave-Client.md)
        - [Remotely Upgrade a Single Photon OS Machine With Lightwave Client and Photon Management Daemon Installed](photon_installation/Remotely-Upgrade-a-Photon-OS-Machine-With-Lightwave-Client-and-Photon-Management-Daemon-Installed.md)
        - [Remotely Upgrade Multiple Photon OS Machines With Lightwave Client and Photon Management Daemon Installed](photon_installation/Remotely-Upgrade-Photon-OS-Machine-With-Lightwave-Client-and-Photon-Management-Daemon-Installed.md)
    - [Photon Management Daemon](photon_installation/using-the-photon-management-daemon.md)
        - [Installing the pmd Package](photon_installation/installing_pmd_package.md)
        - [Available APIs](photon_installation/available_apis.md)   
- [Administration Guide](photon_admin/README.md)
    - [Photon OS Packages](photon_admin/photon_os_packages.md) 
        - [Examining the Packages in the SPECS Directory on Github](photon_admin/examining_packages_spec_dir.md)
        - [Looking at the Differences Between the Minimal and the Full Version](photon_admin/differences_between_minimal_and_full_version.md)
        - [The Root Account and the `sudo` and `su` Commands](photon_admin/root_account_and_sudo_commands.md)
        -  [Photon OS Package Repositories](photon_admin/photon-os-package-repositories.md)
        -  [Examining Signed Packages](photon_admin/signed-packages.md)
        -  [Building a Package from a Source RPM](photon_admin/building-a-package-from-a-source-rpm.md)
        -  [Compiling C++ Code on the Minimal Version of Photon OS](photon_admin/compiling-c-code-on-the-minimal-version-of-photon-os.md)
    - [Package Management in Photon OS with `tdnf`](photon_admin/package_management.md)  
        - [Introduction to `tdnf`](photon_admin/tdnf.md)
        - [Configuration Files and Repositories](photon_admin/configuration-files-and-repositories.md)
        - [Adding a New Repository](photon_admin/adding-a-new-repository.md)
        - [Configure a Repository](photon_admin/configure-a-repository.md)
        - [Adding the Dev Repository to Get New Packages from the GitHub Dev Branch](photon_admin/adding-the-dev-repository.md)
        - [Standard Syntax for `tdnf` Commands](photon_admin/standard_tdnf_syntax.md)
            -   [Options for Commands](photon_admin/options-for-commands.md)
            -   [Commands](photon_admin/commands.md)
    - [Managing Services with systemd](photon_admin/managing-services-with-systemd.md)
        -   [Viewing Services](photon_admin/viewing-services.md)
        -   [Controlling Services](photon_admin/controlling-services.md)
        -   [Creating a Startup Service](photon_admin/creating-a-startup-service.md)
        -   [Disabling the Photon OS httpd.service](photon_admin/disabling-the-photon-os-httpd.service.md)
        -   [Auditing System Events with auditd](photon_admin/auditing-system-events-with-auditd.md)
        -   [Analyzing systemd Logs with journalctl](photon_admin/analyzing-systemd-logs-with-journalctl.md)
        -   [Migrating Scripts to systemd](photon_admin/migrating-scripts-to-systemd.md)
        -   [Installing Sendmail](photon_admin/installing-sendmail.md)
    -   [Managing the Network Configuration](photon_admin/managing-the-network-configuration.md)
        -   [Commands to Manage Network Service](photon_admin/network_management_commands.md)
        -   [Using the Network Configuration Manager](photon_admin/using-the-network-configuration-manager.md)
        -   [Use `ip` and `ss` Commands Instead of `ifconfig` and `netstat`](photon_admin/use-ip-and-ss-commands.md)
        -   [Configuring Network Interfaces](photon_admin/configuring-network-interfaces.md)
        -   [Setting a Static IP Address](photon_admin/setting-a-static-ip-address.md)
        -   [Turning Off DHCP](photon_admin/turning-off-dhcp.md)
        -   [Adding a DNS Server](photon_admin/adding-a-dns-server.md)
        -   [Setting Up Networking for Multiple NICs](photon_admin/setting-up-networking-for-multiple-nics.md)
            -   [Combining DHCP and Static IP Addresses with IPv4 and IPv6](photon_admin/combining-dhcp-and-static-ip-addresses-with-ipv4-and-ipv6.md)
        -   [Clearing the Machine ID of a Cloned Instance for DHCP](photon_admin/clearing-the-machine-id-of-a-cloned-instance-for-dhcp.md)
        -   [Using Predictable Network Interface Names](photon_admin/using-predictable-network-interface-names.md)
        -   [Inspecting the Status of Network Links with `networkctl`](photon_admin/inspecting-the-status-of-network-links-with-networkctl.md)
        -   [Network Debugging](photon_admin/turning-on-network-debugging.md)
        -   [Mounting a Network File System](photon_admin/mounting-a-network-file-system.md)
        -   [Installing the Packages for tcpdump and netcat with tdnf](photon_admin/installing-the-packages-for-tcpdump-and-netcat-with-tdnf.md)
        - [Network Configuration Manager - C API](photon_admin/netmgr.c.md)
        - [Network Configuration Manager - Python API](photon_admin/netmgr.python.md)
    - [Configure Wireless Networking](photon_admin/configure-wireless-networking.md)
    - [Prioritize eth0 Route Over wlan0](photon_admin/prioritize-eth0-route-over-wlan0.md)   
    - [Cloud-Init on Photon OS](photon_admin/cloud-init-on-photon-os.md)
        - [Cloud-Init Overview](photon_admin/cloud-init.md)
        - [Deploy Photon OS With cloud-init](photon_admin/deploy_photon_with_cloud-init.md) 
        - [Creating a Stand-Alone Photon Machine with cloud-init](photon_admin/creating-a-stand-alone-photon-machine-with-cloud-init.md)
        -   [Customizing a Photon OS Machine on EC2](photon_admin/customizing-a-photon-os-machine-on-ec2.md)
        -   [Running a Photon OS Machine on GCE](photon_admin/running-a-photon-os-machine-on-gce.md)
    -   [Containers](photon_admin/photon_os_containers.md)
        - [Docker Containers](photon_admin/docker-containers.md)
        - [Kubernetes](photon_admin/kubernetes.md)
    -   [Changing the Locale](photon_admin/changing-the-locale.md)
    -   [Security Policy](photon_admin/default-security-policy-of-photon-os.md)
        -   [Default Firewall Settings](photon_admin/default-firewall-settings.md)
        -   [Default Permissions and umask](photon_admin/default-permissions-and-umask.md)
        -   [Disabling TLS 1.0 to Improve Transport Layer Security](photon_admin/disabling-tls-1.0.md)      
- [User Guide](photon_user/README.md)
    - [Setting Up a Network PXE Boot Server](photon_user/PXE-boot.md)
    - [Working with Kickstart](photon_user/kickstart.md)
    - [Kubernetes on Photon OS](photon_user/kubernetes_intro.md)
        - [Prerequisites](photon_user/prerequisites.md)
        - [Running Kubernetes on Photon OS](photon_user/running_kubernetes.md)
            - [System Information](photon_user/system_information.md)
            - [Prepare the Hosts](photon_user/prepare_the_hosts.md)
            - [Configure Kubernetes Services on Master](photon_user/configure_kubernetes_on_master.md)
            - [Configure Kubernetes Services on Node](photon_user/configure_kubernetes_on_node.md)
    - [Mounting Remote File Systems](photon_user/nfs-utils.md)
- [Command-Line Reference](photon_cli/README.md)
	- [Command-line Interfaces](photon_cli/command-line_interfaces.md)
		- [Photon Management Daemon Command-line Interface (pmd-cli)](photon_cli/pmd-cli.md)
		- [Photon Network Manager Command-line Interface (netmgr)](photon_cli/netmgr-cli.md)
- [Troubleshooting Guide](photon_troubleshoot/README.md)
    - [Introduction](photon_troubleshoot/introduction.md)
        - [Systemd and TDNF](photon_troubleshoot/systemd-and-tdnf.md)
        - [The Root Account and the `sudo` and `su` Commands](photon_troubleshoot/root-account-sudo-and-su-commands.md)
        - [Checking the Version and Build Number](photon_troubleshoot/checking-the-version-and-build-number.md)
        - [General Best Practices](photon_troubleshoot/general-best-practices.md)
        - [Photon OS Logs](photon_troubleshoot/photon-os-logs.md)
        - [Troubleshooting Progression](photon_troubleshoot/troubleshooting-progression.md)
    - [Solutions to Common Problems](photon_troubleshoot/solutions-to-common-problems.md)
        - [Boot in Emergency Mode](photon_troubleshoot/boot-in-emergency-mode.md)
        - [Resetting a Lost Root Password](photon_troubleshoot/resetting-a-lost-root-password.md)
        - [Fixing Permissions on Network Configuration Files](photon_troubleshoot/network-config-files-permissions.md)
        - [Permitting Root Login with SSH](photon_troubleshoot/permitting-root-login-with-ssh.md)
        - [Fixing Sendmail](photon_troubleshoot/fixing-sendmail.md)
    - [Troubleshooting Tools on Photon OS](photon_troubleshoot/troubleshooting-tools.md)
        - [Common Tools](photon_troubleshoot/common-tools.md)
        - [Troubleshooting Tools Installed by Default](photon_troubleshoot/default-tools.md)
        - [Installing Tools From Repositories](photon_troubleshoot/installing-tools.md)
        - [Linux Troubleshooting Tools](photon_troubleshoot/linux-troubleshooting-tools.md)
    - [Troubleshooting With systemd](photon_troubleshoot/systemd.md)
        - [Enabling `systemd` Debug Shell During Boot](photon_troubleshoot/enabling-systemd-debug.md)
        - [Troubleshooting Services with `systemctl`](photon_troubleshoot/troubleshooting-services.md)
        - [Analyzing System Logs with `journalctl`](photon_troubleshoot/analyzing-system-logs-with-journalctl.md)
        - [Inspecting Services with `systemd-analyze`](photon_troubleshoot/inspecting-services-with-systemd-analyze.md)
    - [Network Troubleshooting](photon_troubleshoot/networking.md)
        - [Managing the Network Configuration](photon_troubleshoot/managing-the-network-configuration.md)
        - [Inspecting IP Addresses](photon_troubleshoot/inspecting-ip-addresses.md)
        - [Inspecting the Status of Network Links with `networkctl`](photon_troubleshoot/inspecting-network-links-with-networkctl.md)
        - [Network Debugging](photon_troubleshoot/network-debugging.md)
        - [Checking Firewall Rules](photon_troubleshoot/checking-firewall-rules.md)
        - [Inspect Network Settings with `netmgr`](photon_troubleshoot/netmgr.md)
    - [File System Troubleshooting](photon_troubleshoot/file-system.md)
        - [Checking Disk Space](photon_troubleshoot/checking-disk-space.md)
        - [Adding a Disk and Partitioning It](photon_troubleshoot/adding-a-disk-and-partitioning-it.md)
        - [Expanding Disk Partition](photon_troubleshoot/expanding-disk-partition.md)
        - [List Disk Partitions](photon_troubleshoot/fdisk.md)
        - [File System Consistency Check Tool](photon_troubleshoot/fsck.md)
        - [Fixing File System Errors When fsck Fails](photon_troubleshoot/fixing-file-system-errors-when-fsck-fails.md)
    - [Troubleshooting Packages](photon_troubleshoot/packages.md)
    - [Kernel Problems and Boot and Login Problems](photon_troubleshoot/kernel-problems-and-boot-and-login-errors.md)
        - [Kernel Overview](photon_troubleshoot/kernel-overview.md)
        - [Boot Process Overview](photon_troubleshoot/boot-process-overview.md)
        - [Blank Screen on Reboot](photon_troubleshoot/blank-screen-on-reboot.md)
        - [Investigating Unexpected Behavior](photon_troubleshoot/investigating-strange-behavior.md)
        - [Investigating the Guest Kernel](photon_troubleshoot/investigating-the-guest-kernel.md)
        - [Kernel Log Replication with VProbes](photon_troubleshoot/kernel-log-replication-with-vprobes.md)
    -   [Performance Issues](photon_troubleshoot/performance-issues.md)
- [Security Advisories](https://github.com/vmware/photon/wiki/Security-Advisories)