# Managing the Network Configuration

The network service, which is enabled by default, starts when the system boots. 

-   [Commands to Manage Network Service](network_management_commands.md)
-   [Using the Network Configuration Manager](using-the-network-configuration-manager.md)
-   [Use `ip` and `ss` Commands Instead of `ifconfig` and `netstat`](use-ip-and-ss-commands.md)
-   [Configuring Network Interfaces](configuring-network-interfaces.md)
-   [Setting a Static IP Address](setting-a-static-ip-address.md)
-   [Turning Off DHCP](turning-off-dhcp.md)
-   [Adding a DNS Server](adding-a-dns-server.md)
-   [Setting Up Networking for Multiple NICs](setting-up-networking-for-multiple-nics.md)
    -   [Combining DHCP and Static IP Addresses with IPv4 and IPv6](combining-dhcp-and-static-ip-addresses-with-ipv4-and-ipv6.md)
-   [Clearing the Machine ID of a Cloned Instance for DHCP](clearing-the-machine-id-of-a-cloned-instance-for-dhcp.md)
-   [Using Predictable Network Interface Names](using-predictable-network-interface-names.md)
-   [Inspecting the Status of Network Links with `networkctl`](inspecting-the-status-of-network-links-with-networkctl.md)
-   [Network Debugging](turning-on-network-debugging.md)
-   [Mounting a Network File System](mounting-a-network-file-system.md)
-   [Installing the Packages for tcpdump and netcat with `tdnf`](installing-the-packages-for-tcpdump-and-netcat-with-tdnf.md)
- [Network Configuration Manager - C API](netmgr.c.md)
- [Network Configuration Manager - Python API](netmgr.python.md)        