# Prerequisites for Running Photon OS on Raspberry Pi 3

Before you use Photon OS within RPi3, perform the following prerequisite tasks:

1. Verify that you have the following resources:

	<table style="height: 170px;" border="1" width="157" cellspacing="0" cellpadding="10">
	<tbody>
	<tr>
	<td><b>Resource</b></td>
	<td><b>Description</b></td>
	</tr>
	<tr>
	<td>Raspberry Pi 3</td>
	<td>Raspberry Pi 3 Model B or Model B+ board. This will serve as the target of the installation.</td>
	</tr>
	<tr>
	<td>Host computer</td>
	<td> <p>A computer equipped with the following:</p> 
<p>1.  An SD card reader. 
<p>2. Software utilities to flash an image onto an SD-card (details and instructions provided below).</td>
	</tr>
	<tr>
	<td>Distribution File</td>
	<td>Photon OS RPi3 image downloaded from <a href="https://bintray.com/vmware/photon/3.0#files/3.0%2FBeta%2Frpi3">bintray</a> <br> 
<p><b>Note</b>: Photon OS RPi3 image is available only from Photon 3.0 onwards.</td>
	</tr>
	</tbody>
	</table>

1. Download Photon OS. 

    To install Photon OS on a Raspberry Pi 3, you must download the Photon OS RPi3 image, which is distributed as a compressed raw disk image with the file extension `.raw.xz`. 
    
    **Note**: You cannot use the Photon ISO to install on RPi3. 
    
    Go to the following bintray URL and download the latest release of Photon OS image for RPi3: [https://bintray.com/vmware/photon/3.0#files/3.0%2FBeta%2Frpi3](https://bintray.com/vmware/photon/3.0#files/3.0%2FBeta%2Frpi3). 
    
    For instructions, see [Downloading Photon OS](Downloading-Photon-OS.md).