# Troubleshooting Guide

- [Toubleshooting Guide](README.md)
    -    [Introduction](introduction.md)
        - [Systemd and TDNF](systemd-and-tdnf.md)
        - [The Root Account and the `sudo` and `su`
            Commands](root-account-sudo-and-su-commands.md)
        - [Checking the Version and Build
            Number](checking-the-version-and-build-number.md)
        - [General Best Practices](general-best-practices.md)
        - [Photon OS Logs](photon-os-logs.md)
        - [Troubleshooting Progression](troubleshooting-progression.md)
    -   [Solutions to Common Problems](solutions-to-common-problems.md)
        - [Boot in Emergency Mode](boot-in-emergency-mode.md)
        - [Resetting a Lost Root Password](resetting-a-lost-root-password.md)
        - [Fixing Permissions on Network Configuration Files](network-config-files-permissions.md)
        - [Permitting Root Login with SSH](permitting-root-login-with-ssh.md)
        - [Fixing Sendmail](fixing-sendmail.md)
    -   [Troubleshooting Tools on Photon OS](troubleshooting-tools.md)
        - [Common Tools](common-tools.md)
        - [Troubleshooting Tools Installed by Default](default-tools.md)
        - [Installing Tools From Repositories](installing-tools.md)
        - [Linux Troubleshooting Tools](linux-troubleshooting-tools.md)
    -   [Troubleshooting With systemd](systemd.md)
        - [Enabling `systemd` Debug Shell During Boot](enabling-systemd-debug.md)
        - [Troubleshooting Services with `systemctl`](troubleshooting-services.md)
        - [Analyzing System Logs with `journalctl`](analyzing-system-logs-with-journalctl.md)
        - [Inspecting Services with `systemd-analyze`](inspecting-services-with-systemd-analyze.md)
    -   [Network Troubleshooting](networking.md)
        - [Managing the Network Configuration](managing-the-network-configuration.md)
        - [Inspecting IP Addresses](inspecting-ip-addresses.md)
        - [Inspecting the Status of Network Links with `networkctl`](inspecting-network-links-with-networkctl.md)
        - [Network Debugging](network-debugging.md)
        - [Checking Firewall Rules](checking-firewall-rules.md)
        - [Inspect Network Settings with `netmgr`](netmgr.md)
    -   [File System Troubleshooting](file-system.md)
        -   [Checking Disk Space](checking-disk-space.md)
        -   [Adding a Disk and Partitioning It](adding-a-disk-and-partitioning-it.md)
        -   [Expanding Disk Partition](expanding-disk-partition.md)
        -   [List Disk Partitions](fdisk.md)
        -   [File System Consistency Check Tool](fsck.md)
        -   [Fixing File System Errors When fsck Fails](fixing-file-system-errors-when-fsck-fails.md)
    -   [Troubleshooting Packages](packages.md)
    -   [Kernel Problems and Boot and Login Problems](kernel-problems-and-boot-and-login-errors.md)
        - [Kernel Overview](kernel-overview.md)
        - [Boot Process Overview](boot-process-overview.md)
        - [Blank Screen on Reboot](blank-screen-on-reboot.md)
        - [Investigating Unexpected Behavior](investigating-strange-behavior.md)
        - [Investigating the Guest Kernel](investigating-the-guest-kernel.md)
        - [Kernel Log Replication with VProbes](kernel-log-replication-with-vprobes.md)
    -   [Performance Issues](performance-issues.md)

